# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/bisho.git
# git archive --format=tar --prefix=bisho-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          bisho
Version:       0.27.3
Release:       1%{?dist}
Summary:       MeeGo configuration tool for libsocialweb social network aggregator

Group:         System Environment/Libraries
License:       GPLv2+
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: gnome-keyring-devel
BuildRequires: libmx-devel
BuildRequires: libsoup-devel
BuildRequires: libsocialweb-devel
BuildRequires: rest-devel
BuildRequires: unique-devel
BuildRequires: desktop-file-utils

# Require these because the git tarball doesn't have the configure built
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libtool

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires: gvfs

%description
A tool to configure user and account details for the libsocialweb social network 
aggregation service.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# Don't run configure from autogen.sh
NOCONFIGURE=yes ./autogen.sh --disable-capplet

%build
%configure --disable-static --disable-schemas --disable-capplet

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

# Remove libtool archives and static libs
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/bisho.schemas >/dev/null || :
fi

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/bisho.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/bisho.schemas > /dev/null || :
fi

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/bisho
%{_libdir}/bisho
%{_libdir}/libbisho-common.so.*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/bisho.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/bisho
%{_libdir}/libbisho-common.so
%{_libdir}/pkgconfig/bisho.pc

%changelog
* Thu Oct 20 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.27.3-1
- Release 0.27.3

* Mon Apr 21 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.27.2-4
- bump build

* Mon Apr 18 2011 Peter Robinson <pbrobinson@fedoraproject.org> 0.27.2-3
- bump build

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  1 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.27.2-1
- New upstream 0.27.2 release

* Wed Sep 27 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.27.0-1
- New upstream 0.27.0 release

* Sat Aug  7 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.26.0-1
- New upstream 0.26.0 release

* Sun Jul 11 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.25.1-1
- New upstream 0.25.1 release

* Sun Feb 18 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.20.0-2
- Update dependencies for new release

* Sun Feb 18 2010 Peter Robinson <pbrobinson@fedoraproject.org> 0.20.0-1
- New upstream 0.20.0 release

* Thu Dec  3 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.17-2
- Require gvfs to fix issues with gtk_show_uri

* Fri Nov 13 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.17-1
- New upstream 0.17 release

* Mon Oct 19 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.16-1
- New upstream 0.16 release

* Wed Oct 14 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.15-1
- New upstream 0.15 release

* Mon Oct 12 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.14-2
- Add new nbtk dep

* Mon Oct 12 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.14-1
- New upstream 0.14 release

* Mon Sep  7 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.12-3
- Rebuild

* Mon Sep  7 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.12-2
- Drop other changes from upstream patch

* Mon Sep  7 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.12-1
- New upstream 0.12 release, drop upstream patch

* Thu Sep  3 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.11-4
- Update gconf scriptlets for schema file name change

* Mon Aug 31 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.11-3
- Add upstream patch for gconf schema name

* Sun Aug 23 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.11-2
- Add missing dep for new release

* Wed Aug 12 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.11-1
- New upstream 0.11 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.10.7-3
- Further updates from review request

* Thu Aug  6 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.10.7-2
- Feedback from the review request

* Fri Jul 24 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.10.7-1
- New upstream 0.10.7 release, add translations

* Thu Jun 18 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.10.2-1
- Initial packaging
